#
# spec file for package dvdauthor
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dvdauthor07
Version:        0.7.0+
Release:        3.4
Summary:        A set of low-level tools to help you author a DVD
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://dvdauthor.sourceforge.net/
Source0:        dvdauthor-%{version}.tar.bz2
#Patch0:         dvdauthor-strcat.patch
#PATCH-FIX-UPSTREAM dvdauthor-0.7.0_glibc-2.20.patch avvissu@yandex.ru -- Fix build with glibc-2.20
Patch1:         dvdauthor-0.7.0_glibc-2.20.patch
BuildRequires:  ImageMagick-devel
BuildRequires:  freetype2-devel
BuildRequires:  fribidi-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
Provides:       dvdauthor = %{version}
Obsoletes:      dvdauthor < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dvdauthor is a program that will generate a DVD movie from a valid
mpeg2 stream that should play when you put it in a DVD player.

%prep
%setup -q -n dvdauthor
#%patch0
%patch1 -p1


%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc COPYING README TODO
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/dvdauthor
%{_datadir}/dvdauthor/*

%changelog
* Tue Oct 21 2014 avvissu@yandex.ru
- Fix build error on openSUSE > 13.1:
  * add dvdauthor-0.7.0_glibc-2.20.patch
- Spec file cleanup
* Mon Apr  9 2012 davejplater@gmail.com
- Provided and obsoleted dvdauthor due to the dvdauthor binaries
  being overwritten during a zypper up -r Packman causing DVDStyler
  to fail.
* Mon May  2 2011 davejplater@gmail.com
- Update to version 0.7.0+ and removed dvdauthor-strcat.patch due to
  build errors and changes to the function patched.
* Sat Apr 16 2011 detlef@links2linux.de
- new upstream version <0.7.0>
* Sun Mar 21 2010 ludwig.nussel@gmx.de
- fix compile error instead of disabling post-build-checks
* Fri Mar 19 2010 detlef@links2linux.de
- new upstream version <0.6.18>
  * implement link-subset jumps
  * implement audio and subpicture content attributes
  * use dynamically-sized buffer for building IFO files
  * version jump to forestall fork confusion
* Fri Mar 12 2010 detlef@links2linux.de
- new upstream version <0.6.15>
  * consistently check for errors on all file opens and when creating output
    directories
  * fix remapping of colours for more than 8 subpicture streams
  * recover from SCR moving backwards as per suggestion from Philippe Sarazin
  * add patch from Wolfgang Wershofen to print out chapter timecodes
  * validate all XML integer arguments and attribute values
  * fix spurious error parsing video caption option
  * incorporate Fedora patch from Ville Skyttä to allow building with
    GraphicsMagick instead of ImageMagick
  * incorporate FriBidi patches from Ville Skyttä
  * auto-action buttons have spatial extents too
  * fill in more details in man pages
  * include an adaptation of Martin Crossley's ivtv patch
* Tue Feb 27 2007 rainer@links2linux.de
- new upstream release
* Tue Nov 25 2003 rainer@links2linux.de
- added some docs
* Fri Nov 14 2003 rainer@links2linux.de
- added menu.txt
* Mon Nov  3 2003 rainer@links2linux.de
- added DESTDIR patch
- first packman release
  Fri Feb 21 00:00:00 UTC 2003 - Dr. Peter Bieringer <pb at bieringer dot de> 0.4.3
- initial
